diff --git a/tests/p_lsb/0-install_redhat-lsb.sh b/tests/p_lsb/0-install_redhat-lsb.sh
new file mode 100755
index 0000000..73fe75a
--- /dev/null
+++ b/tests/p_lsb/0-install_redhat-lsb.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+# Author: Athmane Madjoudj <athmanem@gmail.com>
+
+t_Log "$0 - Installing redhat-lsb"
+t_InstallPackage  redhat-lsb
+
diff --git a/tests/p_lsb/lsb_release_brand_test.sh b/tests/p_lsb/lsb_release_brand_test.sh
new file mode 100755
index 0000000..eabd761
--- /dev/null
+++ b/tests/p_lsb/lsb_release_brand_test.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+# Author: Athmane Madjoudj <athmanem@gmail.com>
+
+t_Log "Running $0 - LSB CentOS braning check."
+
+lsb_release -i | grep -q "CentOS" && \
+lsb_release -d | grep -q "CentOS"  
+
+t_CheckExitStatus $?